<?php

namespace App\Modules\BookingExtra\Application\UpdatePartial;

use App\Modules\BookingExtra\Domain\BookingExtra;
use App\Modules\BookingExtra\Domain\BookingExtraRepository;

final class BookingExtraPartialUpdater
{
    public function __construct(
        private BookingExtraRepository $repository
    ) {}

    public function __invoke(
        BookingExtra $model,
    ) {
        return $this->repository->updatePartial($model);
    }
}
